@charset "UTF-8";
/*--max-width--*/
/*--min-width--*/
/*------------------------------------------------------------------------*/
.sliderBox {
  position: relative;
}

.sliderWrap {
  width: 1080px;
  overflow: hidden;
}

.slider {
  display: flex;
  justify-content: space-between;
  flex-shrink: 0;
  transition: 0.3s transform;
  flex-wrap: nowrap;
  width: auto;
}

.slider.noPc ul {
  flex-wrap: wrap;
  width: 100%;
}

.slider ul {
  display: flex;
  flex-shrink: 0;
}

.slider ul li {
  border-radius: 10px;
  list-style: none;
}

.slider ul.useHoverLarge li {
  transition: 0.2s width linear;
}

div.btnWrap {
  width: 100%;
  height: 0;
  display: flex;
  justify-content: space-between;
  position: absolute;
  top: 50%;
  left: 0;
  z-index: 15;
}

div.btnWrap a {
  display: block;
  width: 46px;
  height: 46px;
  cursor: pointer;
  filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.2));
  transition: 0.3s all;
}

div.btnWrap a img {
  width: 46px;
  height: 46px;
}

@media screen and (min-width: 1121px) {
  div.btnWrap a:hover {
    filter: drop-shadow(0 0 1px rgba(0, 0, 0, 0.2));
  }
}

div.btnWrap .disActive {
  opacity: 0.2;
}

div.btnWrap .disActive a {
  pointer-events: none;
}

div.btnWrap .prev {
  transform: translateX(-80px);
  margin-top: -23px;
}

div.btnWrap .next {
  transform: translateX(80px) rotate(180deg);
  margin-top: 23px;
}

@media screen and (max-width: 1260px) {
  div.btnWrap .prev {
    transform: translateX(-23px);
  }
  div.btnWrap .next {
    transform: translateX(23px) rotate(180deg);
  }
}

@media screen and (max-width: 1120px) {
  div.btnWrap {
    display: none;
  }
}

div.dotNav {
  display: none;
  margin-top: 20px;
}

div.dotNav span {
  cursor: pointer;
  display: block;
  width: 8px;
  height: 8px;
  background: #b3b3b3;
  border-radius: 50%;
  margin: 0 8px;
}

div.dotNav span.active {
  width: 14px;
  height: 14px;
  background: #007fde;
}

@media screen and (max-width: 1120px) {
  .sliderWrap {
    width: 100%;
    box-sizing: border-box;
  }
  div.dotNav {
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

/*------------------------------------------------------------------------
  個別設定
--------------------------------------------------------------------------*/
.slider a {
  display: block;
  transition: 0.3s opacity;
}

@media screen and (min-width: 1121px) {
  .slider a:hover {
    opacity: 0.7;
  }
}

.areaSec div.sliderBox li .aWrap {
  position: relative;
}

.areaSec div.sliderBox li figure {
  height: 255px;
  border-radius: 6px;
  overflow: hidden;
}

.areaSec div.sliderBox li figure img {
  object-fit: cover;
  height: 255px;
}

.areaSec div.sliderBox li figcaption {
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 15;
  color: #fff;
  font-weight: bold;
  padding: 10px;
  line-height: 1.3;
  font-size: 22px;
}

.rankingSec div.sliderBox li {
  border-radius: 6px;
  overflow: hidden;
  width: 300px;
}

.rankingSec div.sliderBox li div.imgBox {
  position: relative;
  height: 150px;
}

.rankingSec div.sliderBox li div.imgBox > p {
  position: absolute;
  z-index: 15;
}

.rankingSec div.sliderBox li div.imgBox .rank {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 32px;
  height: 32px;
  font-size: 16px;
  font-weight: bold;
  line-height: 1;
  color: #fff;
  background: #757575;
  border-radius: 50%;
  top: 10px;
  left: 10px;
}

.rankingSec div.sliderBox li div.imgBox .rank.no1 {
  background: #d0c256;
}

.rankingSec div.sliderBox li div.imgBox .rank.no2 {
  background: #999999;
}

.rankingSec div.sliderBox li div.imgBox .rank.no3 {
  background: #8d6929;
}

.rankingSec div.sliderBox li div.imgBox .point {
  font-size: 14px;
  font-weight: bold;
  line-height: 22px;
  background: #eb4e3d;
  padding: 0 10px;
  border-radius: 10px;
  color: #fff;
  bottom: 10px;
  left: 10px;
}

.rankingSec div.sliderBox li div.imgBox .fav {
  width: 25px;
  height: 21px;
  background: url(/img/common/icon_heart.png) 0 0 no-repeat;
  background-size: cover;
  top: 10px;
  right: 10px;
}

.rankingSec div.sliderBox li div.imgBox .fav.on {
  background-image: url(/img/common/icon_hearton.png);
}

.rankingSec div.sliderBox li figure {
  height: 151px;
  width: 100%;
  overflow: hidden;
  position: absolute;
  z-index: 12;
  top: -1px;
  left: -1px;
  border-radius: 8px 8px 0 0;
}

.rankingSec div.sliderBox li figure img {
  object-fit: cover;
  height: 150px;
}

.rankingSec div.sliderBox li div.noteBox {
  padding: 10px;
  border-top: none;
  border-radius: 0 0 6px 6px;
  overflow: hidden;
  transition: 0.3s all;
  background: #fff;
  border: 1px solid #eaeaea;
  border-top: none;
  box-sizing: border-box;
}

.rankingSec div.sliderBox li div.noteBox h3 {
  font-weight: bold;
  line-height: 1.4;
  margin-bottom: 5px;
  transition: 0.3s all;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}

.rankingSec div.sliderBox li div.noteBox .kind p {
  display: inline-block;
  color: #fff;
  font-size: 11px;
  line-height: 22px;
  padding: 0 8px;
  margin-bottom: 10px;
  border-radius: 3px;
}

.rankingSec div.sliderBox li div.noteBox .kind p.type1 {
  background: #007fde;
}

.rankingSec div.sliderBox li div.noteBox .kind p.type2 {
  background: #00b2bc;
}

.rankingSec div.sliderBox li div.btmBox {
  display: flex;
  justify-content: space-between;
}

.rankingSec div.sliderBox li div.btmBox .place {
  color: #6b6b6b;
  display: flex;
  font-size: 13px;
  line-height: 1.4;
  padding-right: 10px;
}

.rankingSec div.sliderBox li div.btmBox .place::before {
  content: "";
  width: 15px;
  height: 19px;
  display: block;
  background: url(/img/common/icon_place.png) 0 0 no-repeat;
  background-size: cover;
  margin-right: .5em;
  flex-shrink: 0;
}

.rankingSec div.sliderBox li div.btmBox .priceBox {
  line-height: 1.4;
  text-align: right;
  flex-shrink: 0;
}

.rankingSec div.sliderBox li div.btmBox .priceBox .base {
  font-size: 12px;
  text-decoration: line-through;
}

.rankingSec div.sliderBox li div.btmBox .priceBox .price {
  color: #ff2456;
  font-weight: bold;
}

.rankingSec div.sliderBox li div.btmBox .priceBox .price span {
  font-size: 20px;
}

@media screen and (min-width: 1121px) {
  .rankingSec div.sliderBox li a:hover {
    opacity: 1;
  }
  .rankingSec div.sliderBox li a:hover div.noteBox {
    background: #e5f2fc;
    border-color: #e5f2fc;
  }
  .rankingSec div.sliderBox li a:hover div.noteBox h3 {
    color: #007fde;
    text-decoration: underline;
  }
}

@media screen and (max-width: 1120px) {
  .areaSec div.sliderBox {
    margin: 0 -20px;
  }
  .areaSec div.sliderBox div.sliderWrap {
    overflow-x: scroll;
  }
  .areaSec div.sliderBox div.sliderWrap ul {
    padding: 0 10px 0 20px;
  }
  .areaSec div.sliderBox li figure {
    height: 230px;
  }
  .areaSec div.sliderBox li figcaption {
    font-size: 18px;
  }
  .rankingSec div.sliderBox {
    margin: 0 -20px;
  }
  .rankingSec div.sliderBox div.sliderWrap {
    overflow-x: scroll;
  }
  .rankingSec div.sliderBox div.sliderWrap ul {
    padding: 0 10px 0 20px;
  }
}

@media screen and (max-width: 767px) {
  .areaSec div.sliderBox {
    margin: 0 -15px;
  }
  .areaSec div.sliderBox div.sliderWrap {
    overflow-x: scroll;
  }
  .areaSec div.sliderBox div.sliderWrap ul {
    padding: 0 5px 0 15px;
  }
  .areaSec div.sliderBox li figure {
    height: 230px;
  }
  .areaSec div.sliderBox li figcaption {
    font-size: 18px;
  }
  .rankingSec div.sliderBox {
    margin: 0 -15px;
  }
  .rankingSec div.sliderBox li div.imgBox .rank {
    width: 24px;
    height: 24px;
    font-size: 14px;
  }
  .rankingSec div.sliderBox li div.imgBox .fav {
    width: 17px;
    height: 15px;
  }
  .rankingSec div.sliderBox li div.imgBox .point {
    font-size: 12px;
  }
  .rankingSec div.sliderBox li div.noteBox h3 {
    font-size: 15px;
  }
  .rankingSec div.sliderBox li div.noteBox .kind p {
    font-size: 12px;
  }
  .rankingSec div.sliderBox li div.btmBox .priceBox .base {
    font-size: 13px;
  }
  .rankingSec div.sliderBox div.sliderWrap {
    overflow-x: scroll;
  }
  .rankingSec div.sliderBox div.sliderWrap ul {
    padding: 0 5px 0 15px;
  }
}

/*# sourceMappingURL=data:application/json;base64,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 */